r1771 - vdr/vdr/trunk/debian

Thomas Günther tom-guest at costa.debian.org
Sat Jan 21 18:23:10 UTC 2006


Author: tom-guest
Date: 2006-01-21 18:23:09 +0000 (Sat, 21 Jan 2006)
New Revision: 1771

Modified:
   vdr/vdr/trunk/debian/changelog
   vdr/vdr/trunk/debian/vdr.init
Log:
Added option "-g /tmp" to vdr call in debian/vdr.init

Modified: vdr/vdr/trunk/debian/changelog
===================================================================
--- vdr/vdr/trunk/debian/changelog	2006-01-21 17:07:59 UTC (rev 1770)
+++ vdr/vdr/trunk/debian/changelog	2006-01-21 18:23:09 UTC (rev 1771)
@@ -13,6 +13,9 @@
       + Added 21_vdr-1.3.39-keys-fix
     - Changed init-script to use allmoast the same start and stop 
       functions like ctvdr
+  * Thomas Günther <tom at toms-cafe.de>
+    - Added option "-g /tmp" to vdr call in debian/vdr.init (necessary
+      for image grabbing from vdradmin)
 
  -- Debian VDR Team <pkg-vdr-dvb-devel at lists.alioth.debian.org>  Sat, 21 Jan 2006 16:31:47 +0100
 

Modified: vdr/vdr/trunk/debian/vdr.init
===================================================================
--- vdr/vdr/trunk/debian/vdr.init	2006-01-21 17:07:59 UTC (rev 1770)
+++ vdr/vdr/trunk/debian/vdr.init	2006-01-21 18:23:09 UTC (rev 1771)
@@ -16,34 +16,35 @@
 
 . /usr/lib/vdr/config-loader.sh
 
+# Set shutdown command
 test "$ENABLE_SHUTDOWN" = "1" && VDRSHUTDOWN="/usr/lib/vdr/vdr-shutdown.wrapper" \
-        || VDRSHUTDOWN="/usr/lib/vdr/vdr-shutdown-message"
+                              || VDRSHUTDOWN="/usr/lib/vdr/vdr-shutdown-message"
 
 . /usr/lib/vdr/plugin-loader.sh
 . /usr/lib/vdr/commands-loader.sh
 
-startvdr() 
+startvdr()
 {
-    if [ "$ENABLED" != "0" ]; then
+    if [ "$ENABLED" != "0" ] ; then
         # only start vdr if there is no other instance running
         if start-stop-daemon --start --startas $DAEMON --test \
-                --name $(basename $DAEMON) --pidfile $PIDFILE >/dev/null
+            --name $(basename $DAEMON) --pidfile $PIDFILE >/dev/null
         then
-                getplugins
-                mergecommands "commands"
-                mergecommands "reccmds"
-                start-stop-daemon --start --quiet --startas $DAEMON --background \
-                        --name $(basename $DAEMON) --pidfile $PIDFILE --make-pidfile --\
-                        -v $VIDEO_DIR -c $CFG_DIR -L $PLUGIN_DIR -r $REC_CMD \
-                        -s $VDRSHUTDOWN -E $EPG_FILE -u $USER \
-                        --port $SVDRP_PORT $OPTIONS $PLUGINS
+            getplugins
+            mergecommands "commands"
+            mergecommands "reccmds"
+            start-stop-daemon --start --quiet --startas $DAEMON --background \
+                --name $(basename $DAEMON) --pidfile $PIDFILE --make-pidfile -- \
+                -v $VIDEO_DIR -c $CFG_DIR -L $PLUGIN_DIR -r $REC_CMD \
+                -s $VDRSHUTDOWN -E $EPG_FILE -u $USER -g /tmp \
+                --port $SVDRP_PORT $OPTIONS $PLUGINS
         else
-                echo -n " - seems to be running already"
+            echo -n " - seems to be running already"
         fi
-     else
+    else
         echo -n " - aborted (to enable the daemon, edit /etc/default/vdr)"
-     fi
-} 
+    fi
+}
 
 stopvdr()
 {
@@ -58,28 +59,28 @@
 }
 
 case "$1" in
-  start)
-         echo -n "Starting $DESC: $NAME"
-         startvdr
-         echo "."
-         ;;
-  stop)
-         echo -n "Stopping $DESC: $NAME"
-         stopvdr
-         echo "."
-         ;;
-  restart|force-reload)
-         echo -n "Restarting $DESC: $NAME"
-         stopvdr
-         sleep 4
-         startvdr
-         echo "."
-         ;;
-  *)
-         N=/etc/init.d/$NAME
-         echo "Use: $N {start|stop|restart|force-reload}" >&2
-         exit 1
+    start)
+        echo -n "Starting $DESC: $NAME"
+        startvdr
+        echo "."
         ;;
+    stop)
+        echo -n "Stopping $DESC: $NAME"
+        stopvdr
+        echo "."
+        ;;
+    restart|force-reload)
+        echo -n "Restarting $DESC: $NAME"
+        stopvdr
+        sleep 4
+        startvdr
+        echo "."
+        ;;
+    *)
+        N=/etc/init.d/$NAME
+        echo "Usage: $N {start|stop|restart|force-reload}" >&2
+        exit 1
+        ;;
 esac
 
 exit 0




More information about the pkg-vdr-dvb-changes mailing list